Public Member Functions | Package Functions

# BinNavi.API.disassembly.ModuleListenerAdapter Class Reference

Simplifies module listeners. More...

Inheritance diagram for BinNavi.API.disassembly.ModuleListenerAdapter:

List of all members.

## Public Member Functions
void | addedView (Module module, View view)
| Signals a new module view.
void | changedDebugger (Module module, Debugger debugger)
| Signals a change in the module debugger.
void | changedDebuggerTemplate (Module module, DebuggerTemplate template)
| Signals a change in the module debugger template.
void | changedDescription (Module module, String description)
| Signals a change in the module description.
void | changedFilebase (Module module, Address fileBase)
| Signals a change in the module file base.
void | changedImagebase (Module module, Address imageBase)
| Signals a change in the module image base.
void | changedModificationDate (Module module, Date date)
| Signals a change in the module modification date.
void | changedName (Module module, String name)
| Signals a change in the module name.
void | closedModule (Module module)
| Signals that the module was closed.
boolean | closingModule (Module module)
| Signals that the module is about to be closed.
void | deletedTrace (Module module, Trace trace)
| Signals the deletion of a module trace.
void | deletedView (Module module, View view)
| Signals the deletion of a module view.
void | loadedModule (Module module)
| Signals that module information was loaded.
## Package Functions
void | addedTrace (Module module, Trace trace)
| Signals a new module trace.

## Detailed Description

Adapter class that can be used by classes that want to listen on modules but only need to be notified about few events.

## Member Function Documentation

void BinNavi.API.disassembly.IModuleListener.addedTrace | ( | Module | module,
|  | Trace | trace |
| ) |  |  | `[package, inherited]`

Invoked after a new trace was added to the module.

Parameters:

  | module | The module where the new trace was created.
  | trace | The new trace that was added to the module.

void BinNavi.API.disassembly.IModuleListener.addedView | ( | Module | module,
|  | View | view |
| ) |  |  | `[inherited]`

Invoked after a new view was created in the module.

Parameters:

  | module | The module where the new view was created.
  | view | The new view that was created in the module.

void BinNavi.API.disassembly.IModuleListener.changedDebugger | ( | Module | module,
|  | Debugger | debugger |
| ) |  |  | `[inherited]`

Invoked after the debugger used to debug the module changed.

Parameters:

  | module | The module whose debugger changed.
  | debugger | The new debugger of the module.

void BinNavi.API.disassembly.IModuleListener.changedDebuggerTemplate | ( | Module | module,
|  | DebuggerTemplate | template |
| ) |  |  | `[inherited]`

Invoked after the debugger template of the module changed.

Parameters:

  | module | The module whose debugger template changed.
  | template | The new debugger template of the module.

void BinNavi.API.disassembly.IModuleListener.changedDescription | ( | Module | module,
|  | String | description |
| ) |  |  | `[inherited]`

Invoked after the description of the module changed.

Parameters:

  | module | The module whose description changed.
  | description | The new description of the module.

void BinNavi.API.disassembly.IModuleListener.changedFilebase | ( | Module | module,
|  | Address | fileBase |
| ) |  |  | `[inherited]`

Invoked after the file base of the module changed.

Parameters:

  | module | The module whose file base changed.
  | fileBase | The new file base of the module.

void BinNavi.API.disassembly.IModuleListener.changedImagebase | ( | Module | module,
|  | Address | imageBase |
| ) |  |  | `[inherited]`

Invoked after the image base of the module changed.

Parameters:

  | module | The module whose image base changed.
  | imageBase | The new image base of the module.

void BinNavi.API.disassembly.IModuleListener.changedModificationDate | ( | Module | module,
|  | Date | date |
| ) |  |  | `[inherited]`

Invoked after the modification date of the module changed.

Parameters:

  | module | The module whose modification date changed.
  | date | The new modification date of the module.

void BinNavi.API.disassembly.IModuleListener.changedName | ( | Module | module,
|  | String | name |
| ) |  |  | `[inherited]`

Invoked after the name of the module changed.

Parameters:

  | module | The module whose name changed.
  | name | The new name of the module.

void BinNavi.API.disassembly.IModuleListener.closedModule | ( | Module | module | ) | `[inherited]`

Invoked after the module was closed.

After this function was invoked, using parts of the module which must be loaded before they can be used leads to undefined behavior.

Parameters:

  | module | The module that was closed.

boolean BinNavi.API.disassembly.IModuleListener.closingModule | ( | Module | module | ) | `[inherited]`

Invoked right before a module is closed. The listening object has the opportunity to veto the close process if it still needs to work with the module.

Parameters:

  | module | The module that is about to be closed.

Returns:
  True, to indicate that the module can be closed. False, to veto the close process.

void BinNavi.API.disassembly.IModuleListener.deletedTrace | ( | Module | module,
|  | Trace | trace |
| ) |  |  | `[inherited]`

Invoked after a trace was deleted from the module.

After this function was invoked, further usage of the deleted trace or objects inside that trace lead to undefined behavior.

Parameters:

  | module | The module where the trace was deleted.
  | trace | The trace that was deleted from the module.

void BinNavi.API.disassembly.IModuleListener.deletedView | ( | Module | module,
|  | View | view |
| ) |  |  | `[inherited]`

Invoked after a view was deleted from the module.

After this function was invoked, further usage of the deleted view or objects inside that view lead to undefined behavior.

Parameters:

  | module | The module where the view was deleted.
  | view | The view that was deleted from the module.

void BinNavi.API.disassembly.IModuleListener.loadedModule | ( | Module | module | ) | `[inherited]`

Invoked after the module was loaded.

Parameters:

  | module | The module that was loaded.